Can't purchase a paid plugin

I’m trying to purchase a plugin, but its giving me this errr “Stripe error: The subscription provided does not belong to the customer provided”

I’ve tried it against all plugins that need payment and I’m getting the same error.

This is a cloned app.

This topic was automatically closed after 70 days. New replies are no longer allowed.